/* Reset & Grundstil */

body {
  margin: 0;
  padding: 0;
  font-family: "Fira Sans Condensed";
  background-color: #181616;
  color: #ffffff;
}

/* Navigation-Header */
.header-logo {
  height: 40px;
}

nav ul {
  display: flex;
  list-style: none;
  margin: 0;
  padding-left: 10%;
}

nav li {
  padding: 1rem 3rem 1rem 0rem;
}
nav a {
  text-decoration: none;
  color: #ffffff;
}

nav a:hover {
  color: #74b342;
}

.nav-content {
  display: flex;
  background-color: #000000;
  padding: 0% 10%;
  align-items: center;
  height: 6vh;
}

/* Slider-Container */
.slider-container {
  position: relative;
  width: 100%;
  height: 90vh;
  display: flex;
}

.slider {
  display: flex;
  width: 100%;
  height: 100%;
}

.scroll-to-top-button {
  display: none;
}

/* Slide-Layout (50% Text links, 50% Bild rechts) */
ul {
  font-size: 1.5rem;
}
.slide {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  opacity: 0;
  transition: opacity 0.8s ease-in-out;
}

.slide.active {
  opacity: 1;
}

.text-content {
  width: 50%;
  padding: 2% 10%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.text-content h1 {
  font-size: 3rem;
  margin-top: 0rem;
  margin-bottom: 1rem;
  font-weight: 600;
}

.text-content p {
  font-size: 1.5rem;
  margin-bottom: 0.5rem;
}
.price {
  font-size: 2.5rem;
  font-weight: 600;
  margin-bottom: 0;
}
.btn {
  display: inline-block;
  padding: 12px 25px;
  background-color: #74b342;
  color: #ffffff;
  text-decoration: none;
  border-radius: 30px;
  font-size: 1.2rem;
  transition: all 0.2s;
  width: fit-content;
}

.btn:hover {
  background-color: #ffffff;
  color: #181616;
  transform: scale(1.03);
}

.image-content {
  width: 80%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/* Navigation-Slideshow */
.slider-nav {
  position: absolute;
  top: 50%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  transform: translateY(-50%);
  z-index: 10;
}

.slider-nav button {
  background: rgba(0, 0, 0, 0.5);
  color: #ffffff;
  border: none;
  padding: 15px;
  cursor: pointer;
  font-size: 1.5rem;
  border-radius: 50%;
  margin: 0 20px;
  transition: background 0.3s;
}

.slider-nav button:hover {
  background: rgba(0, 0, 0, 0.8);
}

/* Dots */
.slider-dots {
  position: absolute;
  bottom: 2%;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 10px;
}

.dot {
  width: 12px;
  height: 12px;
  background: #ffffff;
  border-radius: 50%;
  cursor: pointer;
  transition: background 0.3s;
}

.dot.active {
  background: #74b342;
}

/*footer*/
footer {
  background-color: #000000;
}

.footer-content {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  min-height: 200px;
  padding: 20px;
}
footer ul {
  list-style: none;
  color: #74b342;
  padding: 2.5% 10%;
  margin: 0;
}

footer li {
  font-size: 1.5rem;
  padding: 0.5% 0%;
}
footer a {
  text-decoration: none;
  color: #74b342;
}
footer a:hover {
  color: #ffffff;
}

.name {
  font-size: 2rem;
  font-weight: 700;
}

.logo-bottom {
  max-width: 20vh;
  position: absolute;
  bottom: 15%;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
}

/*Kontaktformnular*/

.Kontaktformular-core-content {
  justify-content: flex-start;
}

.split-container {
  display: flex;
  height: 100vh;
  width: 100%;
}

.back-to-index {
  display: none;
}

#kontaktformular-content {
  display: flex;
  width: 50vh;
  padding: 0% 10%;
}

#kontaktformular-content label {
  font-size: 1.2rem;
  display: block;
  padding-top: 1rem;
}
input {
  font-size: 1.2rem;
  background-color: #74b342;
  color: #181616;
  border: none;
}

input[type="checkbox"] {
  height: 1.2rem;
  width: 1.2rem;
  vertical-align: middle;
}

input[type="submit"] {
  display: inline-block;
  padding: 12px 25px;
  margin-top: 3rem;
  border-radius: 30px;
  font-size: 1.2rem;
  transition: all 0.3s;
  width: fit-content;
  border: none;
}

.selection {
  font-size: 1.2rem;
  padding: 1rem 0rem 1rem 0rem;
}

select {
  font-size: 1.2rem;
  display: flex;
  background-color: #74b342;
  color: #181616;
  border: none;
}

label a {
  color: #ffffff;
  padding-left: 0.3rem;
}
label a:hover {
  color: #74b342;
}

input[type="submit"]:hover {
  background-color: #ffffff;
  color: #181616;
  transform: scale(1.1);
}

@media (max-width: 800px) {
  .nav-content {
    justify-content: center;
  }
  .nav-content nav {
    display: none;
  }

  /* Slideshow Container deaktivieren */
  .slider-container {
    display: block;
    height: auto;
    overflow: visible;
  }

  /* Slides nebeneinander deaktivieren */
  .slider {
    display: block;
    height: auto;
  }

  /* Einzelne Slides anpassen */
  .slide {
    position: relative !important;
    opacity: 1 !important;
    display: flex;
    width: 100%;
    height: auto;
    margin-bottom: 40px;
    justify-content: center;
    flex-wrap: wrap;
  }

  .scroll-to-top-button {
    display: block;
    background-color: #74b342;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    border: none;
    right: 0%;
    top: 6%;
    margin-right: 1rem;
    position: fixed;
    font-weight: bold;
    z-index: 9999;
  }

  /* Text- und Bildcontainer anpassen */
  .text-content,
  .image-content {
    width: 80% !important;
    padding: 20px;
    align-items: center;
  }
  .text-content h1 {
    font-size: 2rem;
  }
  .text-content p,
  .text-content li {
    font-size: 1.2rem;
  }

  .image-content {
    height: 250px;
    order: -1; /* Bild über dem Text */
    margin-bottom: 20px;
    margin-top: 5rem;
  }

  /* Navigationselemente ausblenden */
  .slider-nav,
  .slider-dots {
    display: none !important;
  }

  /* Button anpassen */
  .btn {
    display: block;
    width: 80%;
    text-align: center;
    margin-top: 20px;
  }

  /* Listen anpassen */
  .text-content ul {
    padding-left: 20px;
    font-size: 1.5rem;
  }

  /* Preis anpassen */
  .price {
    font-size: 1.5rem;
    margin: 15px 0;
  }

  /* Footer anpassen */

  footer li {
    font-size: 1.2rem;
  }

  .name {
    font-size: 1.7rem;
  }

  .logo-bottom {
    display: none;
  }

  /*Kontakformular*/
  .split-container {
    justify-content: center;
  }
  .image-none {
    display: none !important;
  }

  #kontaktformular-content {
    text-align: center;
    display: flex;
  }

  form {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
  }

  #kochkurse {
    margin-left: auto;
    margin-right: auto;
  }
  .checkbox-content {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
  }
  .checkbox {
    padding-left: 4rem;
    text-align: left;
    width: 70%;
  }

  .back-to-index {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #74b342;
    color: #181616;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    border: none;
    position: fixed;
    right: 1rem;
    top: 6%;
    margin-right: 1rem;
    text-decoration: none;
    font-weight: bold;
    z-index: 9999;
  }
}
